Geronimo
  1. Geronimo
  2. GERONIMO-2933

geronimo 1.2 needs a hacked version of xalan to get past the tck

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.2
    • Fix Version/s: 1.2
    • Component/s: None
    • Security Level: public (Regular issues)
    • Labels:
      None

      Description

      The jaxp 1.2 spec is ambiguous about the behavior of the default xsl ErrorListener and the jaxp 1.3 spec is very clear about it. In order to pass the tck with xalan 2.7.0 we need to install a non-jaxp1.3-compliant default ErrorListener. This is pretty easy to do, and can be done so jaxp 1.3 spec compliant behavior can be switched on by a system property. Alternatively users can swap our hacked geronimo-xalan jar with the real one in lib/endorsed.

        Issue Links

          Activity

            People

            • Assignee:
              David Jencks
              Reporter:
              David Jencks
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development